I have covered the release of iPhone OS 3.0.1, which is a security fix for SMS vulnerability. For iPhone jailbreaker, you probably want to upgrade to iPhone 3.0.1 for the sake of SMS bug fix. The iPhone Dev team has confirmed that both redsn0w and ultrasn0w work for iPhone 3.0.1:

You can re-use redsn0w v0.8 we released a few weeks ago to jailbreak today’s 3.0.1 update. Just let iTunes update or restore you to official 3.0.1 then run redsn0w. The only “trick” is that when redsn0w asks you to identify the IPSW used, point it at the 3.0 IPSW instead of the 3.0.1 one. After the jailbreak, reinstall ultrasn0w 0.9 if you need the unlock.

So, with the simple trick in redsn0w, it is safe to upgrade to iPhone 3.0.1 and jailbreak it. If you accidentally upgraded to this iPhone OS version, simply go through the jailbreak process again (but remember to use the iPhone 3.0 IPSW in redsn0w) and re-install ultrasn0w 0.9 to unlock your iPhone.

0 comments

There was an error in this gadget